datablock DebrisData(P51ExplosionDebris1)
{
   emitters = "Vehicleburnemitter";

	shapeFile = "./shapes/prop.dts";
	lifetime = 6.0;
	minSpinSpeed = -900.0;
	maxSpinSpeed = 900.0;
	elasticity = 0.5;
	friction = 0.2;
	numBounces = 3;
	staticOnMaxBounce = true;
	snapOnMaxBounce = false;
	fade = true;

	gravModifier = 2;
};
datablock DebrisData(P51ExplosionDebris2 : P51ExplosionDebris1)
{
 emitters = "Vehicleburnemitter";
	shapeFile = "./shapes/P51deb1.dts";
	
};
datablock DebrisData(P51ExplosionDebris3 : P51ExplosionDebris1)
{
 emitters = "Vehicleburnemitter";
	shapeFile = "./shapes/P51deb2.dts";
};
datablock DebrisData(P51ExplosionDebris4 : P51ExplosionDebris1)
{
 emitters = "Vehicleburnemitter";
	shapeFile = "./shapes/P51deb3.dts";
		minSpinSpeed = -500.0;
	maxSpinSpeed = 500.0;
};
datablock DebrisData(P51ExplosionDebris5 : P51ExplosionDebris1)
{
 emitters = "Vehicleburnemitter";
	shapeFile = "./shapes/P51deb4.dts";
		minSpinSpeed = -500.0;
	maxSpinSpeed = 500.0;
};
datablock ExplosionData(P51FinalExplosion : vehicleFinalExplosion)
{
 
   debris = P51ExplosionDebris1;
   debrisNum = 1;
   debrisNumVariance = 0;
   debrisPhiMin = 0;
   debrisPhiMax = 180;
   debrisThetaMin = 0;
   debrisThetaMax = 90;
   debrisVelocity = 28;
   debrisVelocityVariance = 5;
  damageRadius = 12;
   radiusDamage = 500;
      impulseRadius = 0;
   impulseForce = 0;
};
datablock ExplosionData(P51FinalExplosion2 : P51FinalExplosion)
{
	particleEmitter = "";
   debris = P51ExplosionDebris2;
   debrisNum = 2;

};
datablock ExplosionData(P51FinalExplosion3 : P51FinalExplosion)
{
	particleEmitter = "";
   debris = P51ExplosionDebris3;
   debrisNum = 2;

};
datablock ExplosionData(P51FinalExplosion4 : P51FinalExplosion)
{
	particleEmitter = "";
   debris = P51ExplosionDebris4;
   debrisNum = 1;

};
datablock ExplosionData(P51FinalExplosion5 : P51FinalExplosion)
{
	particleEmitter = "";
   debris = P51ExplosionDebris5;
   debrisNum = 1;

};
//Debris
AddDamageType("P51Exp",   '<color:FFFF00>[P-51D Mustang]<color:FF0000> %1',    '%2 <color:FFFF00>[P-51D Mustang]<color:FF0000> %1',0.2,1);
datablock ProjectileData(P51finalExplosionProjectile1 : vehicleFinalExplosionProjectile)
{
   directDamage        = 0;
 
     damageRadius = 12;
   radiusDamage = 500;
   explosion           = P51FinalExplosion;

   directDamageType  = $DamageType::P51Exp;
   radiusDamageType  = $DamageType::P51Exp;

   explodeOnDeath		= 1;

   armingDelay         = 0;
   lifetime            = 0;


};

datablock ProjectileData(P51finalExplosionProjectile2 : P51finalExplosionProjectile1)
{
	explosion           = P51FinalExplosion2;
};
//new-----------------------


datablock ProjectileData(P51finalExplosionProjectile3 : P51finalExplosionProjectile1)
{
	explosion           = P51FinalExplosion3;
};
//new-----------------------


datablock ProjectileData(P51finalExplosionProjectile4 : P51finalExplosionProjectile1)
{
	explosion           = P51FinalExplosion4;
};
//new-----------------------


datablock ProjectileData(P51finalExplosionProjectile5 : P51finalExplosionProjectile1)
{
	explosion           = P51FinalExplosion5;
};
datablock ExplosionData(P51Explosion : vehicleExplosion)
{
   debris = "";
   debrisNum = 0;
   debrisNumVariance = 0;
   debrisPhiMin = 0;
   debrisPhiMax = 360;
   debrisThetaMin = 40;
   debrisThetaMax = 85;
   debrisVelocity = 14;
   debrisVelocityVariance = 3;
};


// Projectile - you can't spawn explosions on the server, so we use a short-lived projectile
/////////////////////////////////
datablock ProjectileData(P51ExplosionProjectile : vehicleExplosionProjectile)
{
   directDamage        = 0;
   radiusDamage        = 0;
   damageRadius        = 0;
   explosion           = P51Explosion;

   directDamageType  = $DamageType::P51Exp;
   radiusDamageType  = $DamageType::P51Exp;

   explodeOnDeath		= 1;

   armingDelay         = 0;
   lifetime            = 0;

};