%errorA = ForceRequiredAddOn("Vehicle_Jeep");
%errorB = ForceRequiredAddOn("Weapon_Rocket_Launcher");
%errorC = ForceRequiredAddOn("Weapon_Spear");
%errorD = ForceRequiredAddOn("Weapon_Gun");

if(%errorA == $Error::AddOn_Disabled)
   JeepVehicle.uiName = "";
if(%errorB == $Error::AddOn_Disabled)
   rocketLauncherItem.uiName = "";
if(%errorC == $Error::AddOn_Disabled)
   SpearItem.uiName = "";
if(%errorD == $Error::AddOn_Disabled)
	GunItem.uiName = "";

if(%errorA == $Error::AddOn_NotFound)
   error("ERROR: Vehicle_TankJeep - required add-on Vehicle_Jeep not found");
else if(%errorB == $Error::AddOn_NotFound)
   error("ERROR: Vehicle_TankJeep - required add-on Weapon_Rocket_Launcher not found");
else if(%errorC == $Error::AddOn_NotFound)
   error("ERROR: Vehicle_TankJeep - required add-on Weapon_Spear not found");
else if(%errorD == $Error::AddOn_NotFound)
   error("ERROR: Vehicle_TankJeep - required add-on Weapon_Gun not found");
else
exec("./Particles_P51.cs"); 
exec("./Debris_P51.cs"); 
exec("./Vehicle_P51.cs"); 
exec("./Support_P51.cs"); 


