
datablock ParticleData(P51DamageParticle)
{

  textureName = "base/data/particles/cloud";
	dragCoefficient      = 5;
	gravityCoefficient   = -1.0;
	inheritedVelFactor   = 1.0;
	constantAcceleration = 0.0;
	lifetimeMS           = 2000;
	lifetimeVarianceMS   = 300;
	
	spinSpeed		= 0.0;
	spinRandomMin		= -0.0;
	spinRandomMax		= 0.0;
	colors[0]     = "0.1 0.1 0.1 0.1";
	colors[1]     = "0.1 0.1 0.1 0.4";
	colors[1]     = "0.1 0.1 0.1 0.4";
	
	sizes[0]      = 3.5;
	sizes[1]      = 2.5;
	sizes[2]      = 3.5;
useInvAlpha = true;
};

datablock ParticleEmitterData(P51DamageEmitter)
{
   ejectionPeriodMS = 7;
   periodVarianceMS = 0;
   ejectionVelocity = 5;
   velocityVariance = 1.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   particles = P51DamageParticle;   
   


};

datablock ParticleData(P51tracerTrailParticle)
{
dragCoefficient      = 0;
	gravityCoefficient   = -0.0;
	inheritedVelFactor   = 0.0;
	constantAcceleration = 300.0;
	lifetimeMS           = 100;
	lifetimeVarianceMS   = 0;
	textureName          = "base/data/particles/dot";
	spinSpeed		= 10.0;
	spinRandomMin		= -500.0;
	spinRandomMax		= 500.0;

	colors[0]     = "0.9 0.9 0 0.3";
	colors[1]     = "1 0.5 0.2 0.5";
	colors[2]     = "1 0.5 0.2 0.0";

	sizes[0]      = 0.05;
   sizes[1]      = 0.15;
	sizes[2]      = 0.05;

   times[0] = 0.1;
   times[1] = 0.2;
   times[2] = 1.0;

	useInvAlpha = false;
};
datablock ParticleEmitterData(P51tracerTrailEmitter)
{
   ejectionPeriodMS = 2;
   periodVarianceMS = 0;
   ejectionVelocity = 0.0;
   velocityVariance = 0.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 0;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   particles = "P51tracerTrailParticle";
};



datablock ParticleData(P51FireParticle)
{
	dragCoefficient      = 0;
	gravityCoefficient   = -0.5;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 10;
	lifetimeVarianceMS   = 0;
	textureName          = "base/data/particles/star1";
	spinSpeed		= 10.0;
	spinRandomMin		= -500.0;
	spinRandomMax		= 500.0;

	colors[0]     = "0.9 0.9 0 0.3";
	colors[1]     = "1 0.5 0.2 0.5";
	colors[2]     = "1 0.5 0.2 0.0";

	sizes[0]      = 0.12;
   sizes[1]      = 0.34;
	sizes[2]      = 3.12;

   times[0] = 0.0;
   times[1] = 0.1;
   times[2] = 1.0;


	useInvAlpha = false;
};

datablock ParticleEmitterData(P51FireEmitter)
{
   ejectionPeriodMS = 1;
   periodVarianceMS = 0;
   ejectionVelocity = -200.0;
   velocityVariance = 0.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 1;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "P51FireParticle";
};