//to do
//Explosion debris
//Explosion kill radius+
//bomb
//Bigger Plane

$TP::Version=1.1; //Version number, do NOT change this unless you know what you are doing.

if($Support::P51shootOnClick<$Prop::Version) {return;} //Newer version already loaded.
$Support::P51shootOnClick=$TP::Version;

package P51shootOnClick_Pack
{
	//Next seat => switch weapons
	function serverCmdNextSeat(%client)
	{
		%p = %client.player;
		if(!isobject(%p.getobjectmount()))
			return Parent::serverCmdNextSeat(%client);

				if(%p.getobjectmount().getdatablock() == P51vehicle.getid())
				{
					%jet = %p.getobjectmount();
					//applies the settings for each weapon
					switch (%jet.weaponi)
					{
						case 0:
						%jet.weapon = "2x 500lb Bomb";
						%jet.weaponi = 1;
						case 1:
						%jet.weapon = "6x .50 Cal Machine Gun";
						%jet.weaponi = 0;
					}
				}
				else
				{	
				Parent::serverCmdNextSeat(%client);
				}	
			
		
		
	}
	function armor::onTrigger(%db,%obj,%slot,%val)
	{	
		if(%obj.getObjectmount() == 0)
		return Parent::onTrigger(%db,%obj,%slot,%val);
		
		if(%obj.getObjectmount().getDatablock() == P51Vehicle.getID())
		{
		
			if(%obj.getClassName()$="Player")
			{
				
					if(%slot==0)
					{
					%jet=%obj.getObjectmount();
						if(%val)
						{
							if($Sim::Time<%obj.client.P51SOC_LastFireTime[%jet.weaponi])
							{
								return;
							}
						}
		
							if(%jet.p51gear == 1)	//if landing gear is up lets the plane shoot
							{
							
							%obj.P51SOC_Shoot(%slot,%val,%jet.weaponi);
							}
					}
				
			}
			
		}
		return Parent::onTrigger(%db,%obj,%slot,%val);
	}

	function Projectile::onAdd(%obj,%a,%b)
	{
		Parent::onAdd(%obj,%a,%b);
		if(%obj.dataBlock.getID() == P51cannonProjectile.getID())
		{
		
		%obj.initialvelocity=vectorscale(vectorNormalize(%obj.initialvelocity),700);
		}
		
	}
};
ActivatePackage(P51shootOnClick_Pack);

function repeatedVectorAddwithScale(%vecs)
{
	%vec="0 0 0";
	%cnt=getFieldCount(%vecs);
	for(%i=0;%i<%cnt;%i++)
	{
		%fld=getField(%vecs,%i);
		%tvec=getWords(%fld,0,3);
		%scale=getWord(%fld,3);
		%svec=vectorScale(%tvec,%scale);
		%vec=vectorAdd(%vec,%svec);
	}
	return %vec;
}

function SimObject::getLeftVector(%obj)
{
	return vectorCross(%obj.getEyeVector(),%obj.getUpVector());
}

function SimObject::getRightVector(%obj)
{
	return vectorScale(%obj.getLeftVector(%obj),-1);
}

function Player::P51SOC_Shoot(%obj,%slot,%val,%weaponi)
{


	if(!%val) 
	{
		
		cancel(%obj.P51SOC_reshoot);
		return;
	}
	

	%mnt= %obj.getObjectMount();
	if(!isObject(%mnt))
	{

		return;
	}

	%data= %mnt.getDatablock();
	
	%mountObj= %mnt.getMountNodeObject(%data.P51shootOnClick_RequiredSlot[%weaponi]);
	if(%mountObj!$=%Obj) {return;}

	if(%data.P51shootOnClick[%weaponi])
	{

		if(%mnt.getDatablock() == P51Vehicle.getID())
		{

			//Checks OK, shoot it all.
			%cnt=%data.P51shootOnClick_ProjectileCount[%weaponi];
			%pos= %mnt.getPosition();
			serverPlay3d(%data.P51shootOnClick_Sound[%weaponi],%pos);
			for(%i=0;%i<%cnt;%i++)
			{

				if(%mnt.getDatablock() == P51Vehicle.getID())
					{
			
					%PVec= %data.P51shootOnClick_Position[%i,%weaponi];
					if(%data.P51shootOnClick_isBomb[%weaponi] == 1)		//check if bomb projectile
							{
								%VVec=  vectorLen(%mnt.getVelocity()) @ " 0 -5";
							}
							else
							{
								%VVec= %data.P51shootOnClick_Velocity[%i,%weaponi];
							}
					%fVec= %data.P51shootOnClick_flashVelocity[%i,%weaponi];
					%iPos= repeatedVectorAddwithScale(
					%mnt.getEyeVector() SPC getWord(%PVec,0) TAB
					%mnt.getLeftVector() SPC getWord(%PVec,1) TAB
					%mnt.getUpVector() SPC getWord(%PVec,2)
					);
					%iVel= repeatedVectorAddwithScale(
					%mnt.getEyeVector() SPC getWord(%VVec,0) TAB
					%mnt.getLeftVector() SPC getWord(%VVec,1) TAB
					%mnt.getUpVector() SPC getWord(%VVec,2)
					);
					%fVel= repeatedVectorAddwithScale(
					%mnt.getEyeVector() SPC getWord(%fVec,0) TAB
					%mnt.getLeftVector() SPC getWord(%fVec,1) TAB
					%mnt.getUpVector() SPC getWord(%fVec,2)
					);
					%scale=%data.P51shootOnClick_Scale[%i,%weaponi];
					if(%scale$="") 
					{
					%scale="1 1 1";
					}
					
					%spread = %data.P51shootOnClick_Spread[%weaponi];
					%x = (getRandom() - 0.5) * 10 * 3.1415926 * %spread;
					%y = (getRandom() - 0.5) * 10 * 3.1415926 * %spread;
					%z = (getRandom() - 0.5) * 10 * 3.1415926 * %spread;
					%mat = MatrixCreateFromEuler(%x @ " " @ %y @ " " @ %z);
					%velocity = MatrixMulVector(%mat, %iVel);
					%p= new Projectile()
					{
						dataBlock= %data.P51shootOnClick_Projectile[%i,%weaponi];
						initialPosition= vectorAdd(%pos,%iPos);
						initialVelocity= %velocity;
						sourceObject= %obj;
						client= %obj.client;
						sourceSlot= %slot;
						scale= %scale;
					};
					missionCleanup.add(%p);
					
					if(isobject(%data.P51shootOnClick_FlashProjectile[%weaponi]))
					{
						%s = new Projectile()
							{
							   dataBlock = %data.P51shootOnClick_FlashProjectile[%weaponi];
							   initialPosition = vectorAdd(%pos,%iPos);
							   initialVelocity = %fVel;
							   client = %obj.client;
							   sourceObject= %obj;
						
								sourceSlot= %slot;
								scale= %scale;
							   
							};
						MissionCleanup.add(%s);
					}
				}
			}
			
			//If hold, schedule.
			if(%data.P51shootOnClick_Hold[%weaponi])
			{
				if(%obj.getObjectmount().getID().p51gear == 1)
				{
				%obj.P51SOC_reshoot= %obj.schedule(%data.P51shootOnClick_ReshootDelay[%weaponi],P51SOC_Shoot,%slot,%val,%weaponi);
				}
			}
			%obj.client.P51SOC_LastFireTime[%weaponi]=$Sim::Time+%data.P51shootOnClick_ShootDelay[%weaponi]/1000;
		}
	}
	
}